
#ifndef __KDesktopIface_h__
#define __KDesktopIface_h__

#include <qstringlist.h>
#include <dcopobject.h>
#include <dcopref.h>

class KDesktopIface : virtual public DCOPObject
{
  K_DCOP
public:

k_dcop:
  virtual void rearrangeIcons( int bAsk ) = 0; //FIXME: bool = int here
  virtual void lineupIcons() = 0;
  virtual void selectIconsInRect( int x, int y, int dx, int dy ) = 0;
  virtual void selectAll() = 0;
  virtual void unselectAll() = 0;
  virtual QStringList selectedURLs() = 0;
  virtual void configure() = 0;
  virtual void popupExecuteCommand() = 0;
  virtual void setMoveSelection( int move ) = 0;
  virtual void clientAreaUpdated(QRect r) = 0;
  virtual DCOPRef background() = 0;
  virtual DCOPRef screenSaver() = 0;
};

#endif

